Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154312 - /etc/X11/prefdm splits xdm/gdm/etc. params with embedded space
Summary: /etc/X11/prefdm splits xdm/gdm/etc. params with embedded space
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: initscripts
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks: 163558
TreeView+ depends on / blocked
 
Reported: 2005-04-09 17:56 UTC by Krzysztof Halasa
Modified: 2014-03-17 02:53 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-11 20:48:53 UTC


Attachments (Terms of Use)
This patch to prefdm fixes the "param split" problem. (deleted)
2005-04-09 17:56 UTC, Krzysztof Halasa
no flags Details | Diff

Description Krzysztof Halasa 2005-04-09 17:56:46 UTC
Description of problem:
/etc/X11/prefdm, a shell script and a part of initscripts, used to launch
X11 display manager from /etc/inittab, doesn't pass parameters containing
spaces to *dm correctly - it splits such parameters using whitespace as
a delimiter. This behavious breaks things like:

   /etc/X11/prefdm -server ":0 local /usr/X11R6/bin/X ...

Version-Release number of selected component (if applicable):
7.93.7-1 (i.e., current FC3 update)

How reproducible:
Run the following by hand, with no xserver running. Observe parameters passed
to xdm (gdm, kdm etc.) or, for example, xdm output.

Steps to Reproduce:
1. /etc/X11/prefdm -server ":0 local /usr/X11R6/bin/X"
2. tail /var/log/xdm-errors

Actual results:
"xdm error (pid 9491): Missing display type for :0"
Xserver doesn't started

Expected results:
Xserver stdout and/or stderr output, Xserver running

OTOH it would be nice if prefdm sends *dm output to a different than /dev/null
location. These is a bug report about that open for few years, I think.

Comment 1 Krzysztof Halasa 2005-04-09 17:56:46 UTC
Created attachment 112914 [details]
This patch to prefdm fixes the "param split" problem.

Comment 2 Bill Nottingham 2005-04-11 20:48:53 UTC
Added in CVS. It may be in 8.08-1, however, the changes related to early *dm
startup may obsolete this fix.


Note You need to log in before you can comment on or make changes to this bug.